Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001414 [1003.1(2016/18)/Issue7+TC2] System Interfaces Objection Clarification Requested 2020-10-25 17:51 2021-02-22 16:24
Reporter kre View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Robert Elz
Organization
User Reference
Section XSH 3.rewind
Page Number 1821 (for info: in 202x d1.1 it is page 1740)
Line Number 59014 (in 202x d1.1 it is line 57200)
Interp Status ---
Final Accepted Text See Note: 0005250
Summary 0001414: rewind() clears the error indicator, but when?
Description rewind() is defined to be (void) fseek(stream, 0L, SEEK_SET)

(line 90114): except that rewind() shall also clear the error indicator.

That's fine, as it stands, but nothing here says whether the error
indicator is cleared before, or after, the fseek() call (or whatever
equivalent code the implementation uses in its stead).

This matters if the fseek() call sets the error indicator, which it can do.

Now we all know that the error indicator (after a rewind()) is always clear,
so it must be cleared after the fseek() (or equivalent) happens. But what
"we all know" is not in the standard, and should be.
Desired Action In line 90114 (quoted in the description) insert the word "subsequently"
between the words "also" and "clear" to produce:

   except that rewind() shall also subsequently clear the error indicator.
Tags c99, tc3-2008
Attached Files

- Relationships

-  Notes
(0005064)
geoffclare (manager)
2020-10-26 10:35

The text in question is derived directly from C99, so we should liaise with the C committee on this issue.
(0005250)
nick (manager)
2021-02-22 16:21
edited on: 2021-02-22 16:22

Proposed wording:
    On page 1821 line 59014 change:
        
except that rewind() shall also clear the error indicator.

to:
    
except rewind() shall also ensure the error indicator is clear when the function returns.



- Issue History
Date Modified Username Field Change
2020-10-25 17:51 kre New Issue
2020-10-25 17:51 kre Name => Robert Elz
2020-10-25 17:51 kre Section => XSH 3.rewind
2020-10-25 17:51 kre Page Number => 1821 (for info: in 202x d1.1 it is page 1740)
2020-10-25 17:51 kre Line Number => 90114 (in 202x d1.1 it is line 57200)
2020-10-26 10:34 geoffclare Tag Attached: c99
2020-10-26 10:35 geoffclare Note Added: 0005064
2021-02-22 16:21 nick Note Added: 0005250
2021-02-22 16:22 nick Note Edited: 0005250
2021-02-22 16:23 nick Line Number 90114 (in 202x d1.1 it is line 57200) => 59014 (in 202x d1.1 it is line 57200)
2021-02-22 16:23 nick Interp Status => ---
2021-02-22 16:23 nick Final Accepted Text => See Note: 0005250
2021-02-22 16:23 nick Resolution Open => Accepted As Marked
2021-02-22 16:23 nick Tag Attached: tc3-2008
2021-02-22 16:24 nick Status New => Resolved


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker